package com.fr.plugin.demo.web.request;

import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.plugin.demo.web.request.handler.AdminHttpHandler;
import com.fr.plugin.demo.web.request.handler.ModuleHttpHandler;
import com.fr.plugin.demo.web.request.handler.PrivateHttpHandler;
import com.fr.plugin.demo.web.request.handler.PublicHttpHandler;

public class DemoRequestHandlerBridge extends AbstractHttpHandlerProvider {
    @Override
    public BaseHttpHandler[] registerHandlers() {

        return new BaseHttpHandler[]{
                new PublicHttpHandler(),
                new PrivateHttpHandler(),
                new AdminHttpHandler(),
                new ModuleHttpHandler()
        };
    }
}
