package com.fr.plugin.demo.web.request;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

public class DemoURLAliasBridge extends AbstractURLAliasProvider  {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[] {
                URLAliasFactory.createPluginAlias("/demo/simple/text", "/demo/text", true),
                URLAliasFactory.createPluginAlias("/demo/simple/abc", "/demo/abc", false),
                URLAliasFactory.createPluginAlias("/demo/simple/admin", "/demo/admin", false),
                URLAliasFactory.createPluginAlias("/demo/simple/module", "/demo/module", false)
        };
    }
}
